# class JBEntityCaps | Entity capability. More...
Full name | `TelEngine::JBEntityCaps`
Definition | `#include <libs/yjabber/yatejabber.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { Ver1_3 = 1, Ver1_4 = 2, }

#### Public Methods

- inline JBEntityCaps (const char* id, char version, const char* node, const char* data)
- inline bool hasFeature (int ns)
- inline bool hasAudio ()

#### Public Static Methods

- static inline void buildId (String& buf, char version, const char* node, const char* data, String* ext = 0)

#### Public Members

- char m_version
- String m_node
- String m_data
- XMPPFeatureList m_features

## Detailed Description

This class holds entity capability data Implements XEP 0115 support

enum { Ver1_3 = 1, Ver1_4 = 2, } | ###

Supported XEP 0115 versions

inline JBEntityCaps (const char* id, char version, const char* node, const char* data) | ### JBEntityCaps

Constructor

Parameters:

id | Object id
version | Entity caps version
node | Entity node
data | Entity data

inline bool hasFeature (int ns) | ### hasFeature

Check if a given feature is found in the list

Parameters:

ns | The feature to check

Returns: True if the feature was found in the list

inline bool hasAudio () | ### hasAudio

Check if an audio capability is present

Returns: True if an audio capability is present

inline void buildId (String& buf, char version, const char* node, const char* data, String* ext = 0) | ### buildId

[static]

Build an entity caps id

Parameters:

buf | Destination buffer
version | Entity caps version
node | Entity node
data | Entity data
ext | Optional entity extensions

char m_version | ### m_version

String m_node | ### m_node

String m_data | ### m_data

XMPPFeatureList m_features | ### m_features

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.